org.apache.maven.scm.repository

## Class ScmRepositoryStub

- java.lang.Object
- - org.apache.maven.scm.repository.ScmRepository
  - - org.apache.maven.scm.repository.ScmRepositoryStub

    public class ScmRepositoryStub
    extends ScmRepository

Stub for ScmRepository for unit testing purposes. More information about Stubs on Martin Fowler's TestDouble

Author:
  Carlos Sanchez

### Constructor Summary

Constructors
Constructor and Description
`ScmRepositoryStub()` Creates a new stub with a new ScmProviderRepositoryStub as scmProviderRepository

### Method Summary

### Methods inherited from class org.apache.maven.scm.repository.ScmRepository

`getProvider, getProviderRepository, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmRepositoryStub

    public ScmRepositoryStub()

Creates a new stub with a new ScmProviderRepositoryStub as scmProviderRepository